import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 13:28
 */
export interface LonghuVipPhonePush {
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * NANJING(南京), CHANGZHOU(常州), HEFEI(合肥)
    * @type { string }
    */
    city?: string;
    /**
    * 在速停车支付累计次数
    * @type { number }
    */
    payCount?: number;
    /**
    * 计划推送日期
    * @type { Date }
    */
    planTime?: Date;
    /**
    * 是否已推送  1:是 0:否
    * @type { string }
    */
    isPush?: string;
    /**
    * 实际推送时间
    * @type { Date }
    */
    pushTime?: Date;
    /**
    * 是否推送成功  1:是（成功推送新用户注册会员）0:否（老用户或注册失败）
    * @type { string }
    */
    isSuccess?: string;
}
export declare class LonghuVipPhonePushMI {
    static get USER_ID(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get CITY(): FieldInfo;
    static get PAY_COUNT(): FieldInfo;
    static get PLAN_TIME(): FieldInfo;
    static get IS_PUSH(): FieldInfo;
    static get PUSH_TIME(): FieldInfo;
    static get IS_SUCCESS(): FieldInfo;
}
